package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabQywxTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface QywxTagMapper {
    /**
     */
    int deleteByPrimaryKey(String qywxTagId);

    /**
     */
    int insert(TabQywxTag record);

    /**
     */
    int insertSelective(TabQywxTag record);

    /**
     */
    TabQywxTag selectByPrimaryKey(String qywxTagId);

    /**
     */
    int updateByPrimaryKeySelective(TabQywxTag record);

    /**
     */
    int updateByPrimaryKey(TabQywxTag record);

    /**
     * 查询企业微信的标签组 根据key
     *
     * @param wxEnterpriseId
     * @param qywxTagGroupKey
     * @return
     */
    TabQywxTag getByQywxGroupKey(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("qywxTagGroupKey") String qywxTagGroupKey);

    /**
     * 删除企业微信标签
     *
     * @param wxEnterpriseId
     * @param qywxTagGroupKey
     * @return
     */
    int delByGroupKey(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("qywxTagGroupKey") String qywxTagGroupKey);
}